// wiz3Dlg.h : header file
//

#if !defined(AFX_WIZ3DLG_H__CC3E34A2_3E91_4F6B_A6EC_0AD5CDF0B251__INCLUDED_)
#define AFX_WIZ3DLG_H__CC3E34A2_3E91_4F6B_A6EC_0AD5CDF0B251__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CWiz3Dlg dialog

class CWiz3Dlg : public CDialog
{
// Construction
public:
	CString m_strCopie;
	CString FormezAtribute(DWORD Atribut);
	void PopulezControlLista();
	CStringList m_strLista;
	void PopulezLista();
	void PopulezArbore();
	int nIndex;
	CString m_strSelect;
	void PopulezCombo();
	CWiz3Dlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CWiz3Dlg)
	enum { IDD = IDD_WIZ3_DIALOG };
	CListCtrl	m_lcDetalii;
	CListBox	m_lbFisiere;
	CTreeCtrl	m_treeDirectoare;
	CComboBox	m_cbDirPrinc;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWiz3Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CWiz3Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSelchangeDirectorPrincipal();
	afx_msg void OnSelchangedArboreDirectoare(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSelchangeListaFisiere();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WIZ3DLG_H__CC3E34A2_3E91_4F6B_A6EC_0AD5CDF0B251__INCLUDED_)
